#!/bin/bash

OSM_DUMP_FILE=${OSM_DUMP_FILE:-/home/data.osm.pbf}

cd /home/valhalla
valhalla_build_tiles -c /home/valhalla.json $OSM_DUMP_FILE
find valhalla_tiles | sort -n | tar cf valhalla_tiles.$$.tar --no-recursion -T -
rm -rf valhalla_tiles *.bin *.txt
mv valhalla_tiles.$$.tar valhalla_tiles.tar
